---
permalink: /lit/
title: "Related Literature"
header:
  image: /assets/images/header.jpg
  caption: "Photo credit: Carole Raddato from FRANKFURT, Germany, CC BY-SA 2.0, via [**Wikimedia Commons**](https://commons.wikimedia.org/wiki/File:Terra_sigillata,_Gallo-Roman_Museum_of_Tongeren,_Belgium_(27032316984).jpg)"
sidebar:
  nav: "barLit"
---

## Papers and Thesis

-   Martin Unold, Florian Thiery, Allard Mees (2019). Academic Meta Tool – Ein Web-Tool zur Modellierung von Vagheit. In Andreas Kuczera, Thorsten Wübbena and Thomas Kollatz, Eds., Die Modellierung des Zweifels – Schlüsselideen und -konzepte zur graphbasierten Modellierung von Unsicherheiten, (Zeitschrift für digitale Geisteswissenschaften / Sonderbände, 4), DOI: [10.17175/sb004_004](http://dx.doi.org/10.17175/sb004_004).
-   Florian Thiery (2013). Semantic Web und Linked Data: Generierung von Interoperabilität in archäologischen Fachdaten am Beispiel römischer Töpferstempel, Masterthesis, stand number KM042, Supervisor: Prof. Kai-Christian Bruhn, in cooperation with i3mainz - Institute for Spatial Information and Surveying Technology and Römisch-Germanisches Zentralmuseum (RGZM), Fachhochschule Mainz, 13th June - 11th December 2013. DOI: [10.5281/zenodo.774861](https://doi.org/10.5281/zenodo.774861).

## Talks

-   Florian Thiery, Allard Mees, Dennis Gottwald (2020). Linked Open Samian Ware - Unveiling the hidden Data Dragons and uncovering temporal vagueness with the help of Little Minions, Joint Chapter Meeting of the CAA-NL-FL and CAA-DE chapter of Computer Applications and Quantitative Methods in Archaeology (JVM 2020), Deventer, Netherlands, 4th December 2020. DOI: [10.5281/zenodo.4305797](https://doi.org/10.5281/zenodo.4305797).
-   Florian Thiery, Allard Mees (2019). Taming Time Tools: Alligator and Academic Meta Tool, Computer Applications and Quantitative Methods in Archaeology (CAA), Kraków, Poland, 24th March 2019. DOI: [10.5281/zenodo.2648202](https://doi.org/10.5281/zenodo.2648202).
-   Florian Thiery (2019). Das Internet als Daten-Netzwerk: Die Zukunft der Archäologie?, Wintervorträge 2019, Gesellschaft der Freunde des Römisch-Germanischen Zentralmuseums in Mainz e.V. Mainz, Germany, 02nd April 2019. DOI: [10.5281/zenodo.2620929](https://doi.org/10.5281/zenodo.2620929).
-   Florian Thiery, Allard Mees (2019). Dating Mechanism: Eine Linked Data Strategie zur interoperablen und nachvollziehbaren Modellierung relativer Chronologien am Beispiel südgallischer Terra Sigillata in Limes-Abschnitten, Graphentechnologien 2019, Mainz, Germany, 18th January 2019. DOI: [10.5281/zenodo.2540373](https://doi.org/10.5281/zenodo.2540373).
-   Florian Thiery, Allard Mees (2018). Taming the chronology of South Gaulish Samian found at Hadrian's Wall and the German Limes using Linked Open Data, UK Chapter of Computer Applications and Quantitative Methods in Archaeology (CAA-UK 2018), Edinburgh, Scotland, 26th October 2018. DOI: [10.5281/zenodo.1469298](https://doi.org/10.5281/zenodo.1469298).
-   Florian Thiery, Allard Mees (2018). Taming Time – Modelling uncertainty as reproducible Linked Open Data, 24th Annual Meeting of the European Association of Archaeologists (EAA2018), Barcelona, Spanien, 06th September 2018. DOI: [10.5281/zenodo.1402509](https://doi.org/10.5281/zenodo.1402509).
-   Florian Thiery, Allard Mees (2018). Taming Ambiguity - Dealing with doubts in archaeological datasets using LOD, Computer Applications and Quantitative Methods in Archaeology (CAA), Tübingen, Germany, 22nd March 2018. DOI: [10.5281/zenodo.1200111](https://doi.org/10.5281/zenodo.1200111).
-   Florian Thiery, Allard Mees (2018). Putting Samian pots together – modelling ceramic service family roots – connecting figure types. Wie Graphen bei der Modellierung des Zweifels helfen können., with Allard Mees, Graphentechnologien 2018, Mainz, Germany, 19th January 2018. DOI: [10.5281/zenodo.1155748](https://doi.org/10.5281/zenodo.1155748).
-   Martin Unold, Florian Thiery (2018). Academic Meta Tool – Ein Web-Tool zur Modellierung des Zweifels, with Martin Unold, Graphentechnologien 2018, Mainz, Germany, 19th January 2018. DOI: [10.5281/zenodo.1155727](https://doi.org/10.5281/zenodo.1155727).
-   Florian Thiery, Allard Mees (2016). Digitale Methoden zur Erarbeitung von archäologisch-relativ-chronologischen Zeitintervallen, with Allard Mees, Internationale Tagung der Österreichischen Gesellschaft für Mittelalterarchäologie, Graz, Austria, 20th September 2016. DOI: [10.5281/zenodo.292957](https://doi.org/10.5281/zenodo.292957).
-   Florian Thiery (2015). Linked Samian Ware: challenges of a LOD approach to samian ware, Computer Applications and Quantitative Methods in Archaeology (CAA), Siena, Italy, 1st April 2015. DOI: [10.5281/zenodo.292968](https://doi.org/10.5281/zenodo.292968).
-   Florian Thiery (2014). Linked Samian Ware: Potentiale von Linked Data in der Archäologie, 5. Workshop der AG CAA, Tübingen, Germany, 15th February 2014. DOI: [10.5281/zenodo.292971](https://doi.org/10.5281/zenodo.292971).

## Poster

-   Florian Thiery, Allard Mees, Dennis Gottwald (2020). Linked Open Samian Ware - Transformation and modelling of vagueness and uncertainty, 4th December 2020. DOI: [10.5281/zenodo.4293761](https://doi.org/10.5281/zenodo.4293761).
-   Florian Thiery (2014). Linking potter, pots and places: a LOD approach to samian ware, Computer Applications and Quantitative Methods in Archaeology (CAA), Paris, France, 24th April 2014. DOI: [10.5281/zenodo.292975](https://doi.org/10.5281/10.5281/zenodo.292975).
